<template>
  <div id="nav">
    <router-link to="/">Home</router-link>
    <router-link to="/about">About</router-link>
    <img alt="Vue logo" src="../../assets/logo.png">
    <div v-if="!connected">
      <router-link to="/register">Register</router-link>
      <router-link to="/login">Login</router-link>
    </div>
  </div>
</template>

<script>


import {auth} from "@/utils/firebase";

export default {
  name: 'navbar',
  data: function () {
    return {
      connected: true
    }
  },
  mounted() {
    auth.onAuthStateChanged( (user) => {
      if (!user) this.connected = false;
    });
  }
}
</script>
